Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.consultrn.ssinhistory.protocol.v1
Class ConsultRelatedSsinsResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.ResponseType
          be.fgov.ehealth.commons.protocol.v2.StatusResponseType
              be.fgov.ehealth.consultrn.ssinhistory.protocol.v1.ConsultCurrentSsinResponseType
                  be.fgov.ehealth.consultrn.ssinhistory.protocol.v1.ConsultRelatedSsinsResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-06-27T08:12:06+02:00",
               comments="JAXB RI v2.2.11")
    public class ConsultRelatedSsinsResponse

extends ConsultCurrentSsinResponseType
implements Serializable

Response type for full ssin history for a single ssin

Java class for ConsultRelatedSsinsResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="ConsultRelatedSsinsResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:consultrn:ssinhistory:protocol:v1}ConsultCurrentSsinResponseType">
           <sequence>
             <element name="RelatedSsins" type="{urn:be:fgov:ehealth:consultrn:ssinhistory:core:v1}RelatedSsinsType" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`ConsultRelatedSsinsResponse()`

Method Summary
`RelatedSsinsType` | `getRelatedSsins()` Gets the value of the relatedSsins property.
`void` | `setRelatedSsins(RelatedSsinsType value)` Sets the value of the relatedSsins property.

Methods inherited from class be.fgov.ehealth.consultrn.ssinhistory.protocol.v1.ConsultCurrentSsinResponseType
`getSsin, setSsin`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType
`getStatus, setStatus`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType
`getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsultRelatedSsinsResponse

    public ConsultRelatedSsinsResponse()

Method Detail

### getRelatedSsins

    public RelatedSsinsType getRelatedSsins()

  Gets the value of the relatedSsins property.

  Returns:
    possible object is `RelatedSsinsType`

### setRelatedSsins

    public void setRelatedSsins(RelatedSsinsType value)

  Sets the value of the relatedSsins property.

  Parameters:
    `value` - allowed object is `RelatedSsinsType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.